/**
 * @file 	sharc_regs.c
 * @version 	0.01
 * @date 	Feb 25, 2013
 * @author 	Grzegorz Kostka, kostka.grzegorz@gmail.com
 * @brief	...
 **********************************************************/

#include "sharc_regs.h"

void sharc_reg_modify(void *addr, uint32_t clrbits, uint32_t setbits)
{
	uint32_t tmp = sharc_reg_get(addr);

	tmp &= ~clrbits;
	tmp |= setbits;

	sharc_reg_set(addr, tmp);
}

void sharc_reg_set(void *addr, uint32_t val)
{
	*(volatile uint32_t *)addr = val;
}

uint32_t sharc_reg_get(void *addr) { return *(volatile uint32_t *)addr; }

