/**
 * @file 	sharc_regs.h
 * @version 	0.01
 * @date 	Feb 25, 2013
 * @author 	Grzegorz Kostka, kostka.grzegorz@gmail.com
 * @brief	...
 **********************************************************/

#ifndef SHARC_REGS_H_
#define SHARC_REGS_H_

#include <stdint.h>

typedef volatile unsigned int *_io32;

void sharc_reg_modify(void *addr, uint32_t clrbits, uint32_t setbits);
void sharc_reg_set(void *addr, uint32_t val);
uint32_t sharc_reg_get(void *addr);

#endif /* SHARC_REGS_H_ */
